using System;
using at.jku.ssw.Analyse.GUI;

namespace at.jku.ssw.Analyse {
	/// <summary>
	/// Das ist die Haupt-Klasse und der Startpunkt der Analyse. Hier wird nur der Parser
	/// initialisiert, aufgerufen und die Ergebnisse ausgegeben.
	/// </summary>
	class Analyse {
		/// <summary>
		/// berprfung der Parameter, initialisierung des Scanner's und Parser's, starten
		/// des Parserlaufes und ausgeben der Ergebnisse.
		/// </summary>
		static int Main(string[] args) {
			if (args.Length < 1) {
				Console.WriteLine("Usage: Analyse <C#-File>");
				return -1;
			}
			RootInfo ciRoot = new RootInfo("Root Node", 0, null);

			Scanner scanner = new Scanner(ciRoot, args[0]);
			Parser parser = new Parser(ciRoot, scanner);
			parser.Parse();
			if (parser.errors.count > 0) {
				Console.WriteLine("There were errors in the source file!");
				Console.WriteLine("The gathered data is maybe not correct!");
			}
			ciRoot.compute();
			Console.WriteLine(ciRoot.ToString());
			Console.ReadLine();
			return 0;
		}
	}
}
