using System;
using System.Windows.Forms;
using at.jku.ssw.Analyse;

namespace at.jku.ssw.Analyse.GUI
{
	/// <summary>
	/// Diese Klasse ist die Ableitung der TreeNode-Klasse, die einen Konten in einem
	/// TreeView-Control darstellt. Diese Klasse enthlt einen Verweis auf das zugehrige
	/// CodeInfo-Objekt
	/// </summary>
	public class CodeInfoTreeNode : TreeNode
	{
		private CodeInfo ciData;

		public CodeInfoTreeNode(CodeInfo ciData) : base (ciData.sName)
		{
			this.ciData = ciData;
			if (ciData.GetType() == typeof(RootInfo)) ImageIndex = 0;
			if (ciData.GetType() == typeof(NamespaceInfo)) ImageIndex = 1;
			if (ciData.GetType() == typeof(ClassInfo)) ImageIndex = 2;
			if (ciData.GetType() == typeof(MethodInfo)) ImageIndex = 3;
			SelectedImageIndex = ImageIndex;
		}

		public CodeInfo GetData() { return ciData; }
	}
}
